type: prog

titre: Objet Usager 

niveau: intermédiaire

objectif: Manipuler les membres d'un objet de la classe Usager

énoncé: |
  Soit la classe **Usager** représentant les utilisateurs du réseau intranet du collège, et définie par les attributs **nom, prénom, année de naissance**, ainsi que par deux **méthodes** :
  - **codeUsager()** : permet de retourner le code usager constitué de la  **première lettre du prénom suivi du nom suivi de l'année de naissance** le tout en **minuscule**.
  - **ageUsager(annéeCourante)** : permet de retourner l'âge de l'usager selon l'année courante en paramètre.

  Dans la classe **TestUsager**, on souhaite tester la classe **Usager** en créant un objet de cette classe et en manipulant ses **membres**.
  L'**année courante** est recue en entrée, et les **valeurs des attributs** de l'objet sont reçus en entrée pour les produire en sortie  suivies des **valeurs retournées par les méthodes** de l'objet, c'est à dire le **code usager** et l'**âge**.  


  ### Entrées
  - année courante (nombre entier)
  - `nom` de l'usager (chaine de caractères)
  - `prénom` de l'usager (chaine de caractères)
  - année de naissance de l'usager (nombre entier)

  ### Sortie attendue

   Valeurs des attributs de l'objet créé de la classe **Usager** et valeurs retournées par ses méthodes

  ### À faire

  Compléter le code pour produire en sortie les valeurs des **attributs** de l'objet de la classe **Usager** suivies d'une ligne blanche et des valeurs retournées par ses méthodes, le **code usager** et l'**âge**, chacune sur une ligne, tels que dans les exemples ci-dessous.

  ### Exemples

  1. Un usager

   - Entrées :
  ```
     2022
     Tremblay
     Jean
     1950

  ```

   - Sortie attendue :
  ```
    Tremblay
    Jean
    1950

    jtremblay1950
    72 ans

  ```
  2. Un autre usager

   - Entrées :
  ```
    2022
    Provost
    Jacqueline
    1962

  ```

   - Sortie attendue :
  ```
    Provost
    Jacqueline
    1962

    jprovost1962
    60 ans

  ```
ébauches:
    java: !include Usager.java


rétroactions:
    positive: Bravo !
    négative: Revoir la syntaxe de création d'objet et d'accès aux attributs et méthodes des objets d'une classe.

tests: !include tests.yml

auteur: Wafaa Niar Dinedane / Patrick Lafrance
licence: 2021 CC-BY-SA


